/* Prototypes for functions defined in
readlwob.c
 */

static void get_name(register char * name,
                     register int size,
                     WORLD * world);

static char get_BYTE(WORLD * world);

static unsigned char get_UBYTE(WORLD * world);

static short get_WORD(WORLD * world);

static unsigned short get_UWORD(WORLD * world);

static unsigned long get_ULONG(WORLD * world);

static double get_FRACT(WORLD * world);

static void stuff_XYZ(XYZ_st * st,
                      WORLD * world);

static void stuff_RGB(RGB_st * st,
                      WORLD * world);

static void output_warning(WORLD * world,
                           char * area,
                           char * name,
                           unsigned long size);

WORLD * read_LWOB(FILE * file);

static void process_INFO(register unsigned long len,
                         WORLD * world);

static void process_OBJ(register unsigned long len,
                        WORLD * world);

static OBJECT * process_EXTR(register unsigned long len,
                             OBJECT * obj,
                             WORLD * world);

static void malloc_arrays(register int i,
                          register DESC * desc);

static void process_DESC(register unsigned long len,
                         DESC ** orig,
                         WORLD * world);

