/* Prototypes for functions defined in
write.c
 */

static void indent(void);

static void outdent(void);

static void send_XYZ(XYZ_st * f);

static void stage_RGB(XYZ_st * rgb);

static void send_RGB(RGB_st * rgb);

int write_TTDDD(WORLD * world,
                FILE * file);

static void process_INFO(INFO * info);

static void process_OBJ(register OBJECT * obj);

static void process_TOBJ(void);

static void process_EXTR(EXTR * extr);

static void process_DESC(OBJECT * object);

static void process_ISTG(register ISTG * istg);

static void process_OSIZ(SOBJ * sobj);

static void process_POSN(SOBJ * sobj);

static void process_ALGN(SOBJ * sobj);

static void process_PALN(SOBJ * sobj);

static void process_TALN(SOBJ * sobj);

static void process_HING(SOBJ * sobj);

static void process_PTH2(SOBJ * sobj);

static void process_GLB2(SOBJ * sobj);

static void process_AXIS(SOBJ * sobj);

static void process_LITE(SOBJ * sobj);

static void process_FILE(SOBJ * sobj);

