/* Prototypes for functions defined in
writeim.c
 */

static void put_name(WORLD * world,
                     register char * name,
                     register int size);

static void put_UBYTE(WORLD * world,
                      int u);

static void put_UWORD(WORLD * world,
                      int w);

static void put_ULONG(WORLD * world,
                      unsigned long l);

static void put_FRACT(WORLD * world,
                      double f);

static void put_XYZ(WORLD * world,
                    XYZ_st * st);

static void put_RGB(WORLD * world,
                    RGB_st * st);

static void write_size(WORLD * world,
                       long pos);

int write_TDDD(WORLD * world,
               FILE * myfile);

static void process_INFO(WORLD * world,
                         INFO * info);

static void process_OBJ(WORLD * world,
                        OBJECT * obj);

static void process_EXTR(WORLD * world,
                         OBJECT * obj);

static void process_DESC(WORLD * world,
                         OBJECT * obj);

static void process_ISTG(WORLD * world);

static void process_OSIZ(SOBJ * sobj,
                         WORLD * world);

static void process_POSN(SOBJ * sobj,
                         WORLD * world);

static void process_ALGN(SOBJ * sobj,
                         WORLD * world);

static void process_PALN(SOBJ * sobj,
                         WORLD * world);

static void process_TALN(SOBJ * sobj,
                         WORLD * world);

static void process_HING(SOBJ * sobj,
                         WORLD * world);

static void process_PTH2(SOBJ * sobj,
                         WORLD * world);

static void process_GLB2(SOBJ * sobj,
                         WORLD * world);

static void process_AXIS(SOBJ * sobj,
                         WORLD * world);

static void process_LITE(SOBJ * sobj,
                         WORLD * world);

static void process_FILE(SOBJ * sobj,
                         WORLD * world);

