/* Prototypes for functions defined in
writelwob.c
 */

static void put_name(WORLD * world,
                     register char * name,
                     register int size);

static void put_UBYTE(WORLD * world,
                      int u);

static void put_UWORD(WORLD * world,
                      int w);

static void put_ULONG(WORLD * world,
                      unsigned long l);

static void put_FRACT(WORLD * world,
                      double f);

static void put_XYZ(WORLD * world,
                    XYZ_st * st);

static void put_RGB(WORLD * world,
                    RGB_st * st);

static void write_size(WORLD * world,
                       long pos);

int write_LWOB(WORLD * world,
               FILE * myfile);

void dump_points(WORLD * world,
                register OBJECT * object);

static void process_INFO(WORLD * world,
                         INFO * info);

static void process_OBJ(WORLD * world,
                        OBJECT * obj);

static void process_EXTR(WORLD * world,
                         OBJECT * obj);

static void process_DESC(WORLD * world,
                         OBJECT * obj);

